package cn.iocoder.yudao.module.bpm.service.task.listener;

import lombok.extern.slf4j.Slf4j;
import org.flowable.engine.delegate.DelegateExecution;
import org.flowable.engine.delegate.ExecutionListener;
import org.springframework.stereotype.Component;

/**
 * @author mark
 * @description TODO
 * @date 2026-04-02
 */
@Component
@Slf4j
public class InitAmountListener implements ExecutionListener {
    @Override
    public void notify(DelegateExecution execution) {
        System.out.println("---重新修改金额--");
        execution.setVariable("amount", 110);
    }
}
